> For the complete documentation index, see [llms.txt](https://docs.blockpi.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.blockpi.io/build/api-reference/ethereum/ethereum-beacon-api/eth-v1-config-spec.md).

# /eth/v1/config/spec

Retrieve specification configuration used on this node. The configuration should include:

* Constants for all hard forks known by the beacon node, for example the [phase 0](https://github.com/ethereum/consensus-specs/blob/v1.3.0/specs/phase0/beacon-chain.md#constants) and [altair](https://github.com/ethereum/consensus-specs/blob/v1.3.0/specs/altair/beacon-chain.md#constants) values
* Presets for all hard forks supplied to the beacon node, for example the [phase 0](https://github.com/ethereum/consensus-specs/blob/v1.3.0/presets/mainnet/phase0.yaml) and [altair](https://github.com/ethereum/consensus-specs/blob/v1.3.0/presets/mainnet/altair.yaml) values
* Configuration for the beacon node, for example the [mainnet](https://github.com/ethereum/consensus-specs/blob/v1.3.0/configs/mainnet.yaml) values

Values are returned with following format:

* any value starting with 0x in the spec is returned as a hex string
* numeric values are returned as a quoted integer

#### Parameters:

**None**

#### Example:

{% code overflow="wrap" %}

```json
// Request
curl -X GET -H 'Content-Type: application/json' 
https://ethereum-beacon.blockpi.network/rpc/v1/your-rpc-key/eth/v1/config/spec

// Result
{
    "data": {
        "CONFIG_NAME": "mainnet",
        "PRESET_BASE": "mainnet",
        "TERMINAL_TOTAL_DIFFICULTY": "58750000000000000000000",
        "TERMINAL_BLOCK_HASH": "0x0000000000000000000000000000000000000000000000000000000000000000",
        "TERMINAL_BLOCK_HASH_ACTIVATION_EPOCH": "18446744073709551615",
        "SAFE_SLOTS_TO_IMPORT_OPTIMISTICALLY": "128",
        "MIN_GENESIS_ACTIVE_VALIDATOR_COUNT": "16384",
        "MIN_GENESIS_TIME": "1606824000",
        "GENESIS_FORK_VERSION": "0x00000000",
        "GENESIS_DELAY": "604800",
        "ALTAIR_FORK_VERSION": "0x01000000",
        "ALTAIR_FORK_EPOCH": "74240",
        "BELLATRIX_FORK_VERSION": "0x02000000",
        "BELLATRIX_FORK_EPOCH": "144896",
        "CAPELLA_FORK_VERSION": "0x03000000",
        "CAPELLA_FORK_EPOCH": "194048",
        "DENEB_FORK_VERSION": "0x04000000",
        "DENEB_FORK_EPOCH": "269568",
        "SECONDS_PER_SLOT": "12",
        "SECONDS_PER_ETH1_BLOCK": "14",
        "MIN_VALIDATOR_WITHDRAWABILITY_DELAY": "256",
        "SHARD_COMMITTEE_PERIOD": "256",
        "ETH1_FOLLOW_DISTANCE": "2048",
        "SUBNETS_PER_NODE": "2",
        "INACTIVITY_SCORE_BIAS": "4",
        "INACTIVITY_SCORE_RECOVERY_RATE": "16",
        "EJECTION_BALANCE": "16000000000",
        "MIN_PER_EPOCH_CHURN_LIMIT": "4",
        "MAX_PER_EPOCH_ACTIVATION_CHURN_LIMIT": "8",
        "CHURN_LIMIT_QUOTIENT": "65536",
        "PROPOSER_SCORE_BOOST": "40",
        "DEPOSIT_CHAIN_ID": "1",
        "DEPOSIT_NETWORK_ID": "1",
        "DEPOSIT_CONTRACT_ADDRESS": "0x00000000219ab540356cbb839cbe05303d7705fa",
        "GOSSIP_MAX_SIZE": "10485760",
        "MAX_REQUEST_BLOCKS": "1024",
        "EPOCHS_PER_SUBNET_SUBSCRIPTION": "256",
        "MIN_EPOCHS_FOR_BLOCK_REQUESTS": "33024",
        "MAX_CHUNK_SIZE": "10485760",
        "TTFB_TIMEOUT": "5",
        "RESP_TIMEOUT": "10",
        "ATTESTATION_PROPAGATION_SLOT_RANGE": "32",
        "MAXIMUM_GOSSIP_CLOCK_DISPARITY_MILLIS": "500",
        "MESSAGE_DOMAIN_INVALID_SNAPPY": "0x00000000",
        "MESSAGE_DOMAIN_VALID_SNAPPY": "0x01000000",
        "ATTESTATION_SUBNET_EXTRA_BITS": "0",
        "ATTESTATION_SUBNET_PREFIX_BITS": "6",
        "ATTESTATION_SUBNET_SHUFFLING_PREFIX_BITS": "3",
        "MAX_REQUEST_BLOCKS_DENEB": "128",
        "MAX_REQUEST_BLOB_SIDECARS": "768",
        "MIN_EPOCHS_FOR_BLOB_SIDECARS_REQUESTS": "4096",
        "BLOB_SIDECAR_SUBNET_COUNT": "6",
        "MAX_COMMITTEES_PER_SLOT": "64",
        "TARGET_COMMITTEE_SIZE": "128",
        "MAX_VALIDATORS_PER_COMMITTEE": "2048",
        "SHUFFLE_ROUND_COUNT": "90",
        "HYSTERESIS_QUOTIENT": "4",
        "HYSTERESIS_DOWNWARD_MULTIPLIER": "1",
        "HYSTERESIS_UPWARD_MULTIPLIER": "5",
        "SAFE_SLOTS_TO_UPDATE_JUSTIFIED": "8",
        "MIN_DEPOSIT_AMOUNT": "1000000000",
        "MAX_EFFECTIVE_BALANCE": "32000000000",
        "EFFECTIVE_BALANCE_INCREMENT": "1000000000",
        "MIN_ATTESTATION_INCLUSION_DELAY": "1",
        "SLOTS_PER_EPOCH": "32",
        "MIN_SEED_LOOKAHEAD": "1",
        "MAX_SEED_LOOKAHEAD": "4",
        "EPOCHS_PER_ETH1_VOTING_PERIOD": "64",
        "SLOTS_PER_HISTORICAL_ROOT": "8192",
        "MIN_EPOCHS_TO_INACTIVITY_PENALTY": "4",
        "EPOCHS_PER_HISTORICAL_VECTOR": "65536",
        "EPOCHS_PER_SLASHINGS_VECTOR": "8192",
        "HISTORICAL_ROOTS_LIMIT": "16777216",
        "VALIDATOR_REGISTRY_LIMIT": "1099511627776",
        "BASE_REWARD_FACTOR": "64",
        "WHISTLEBLOWER_REWARD_QUOTIENT": "512",
        "PROPOSER_REWARD_QUOTIENT": "8",
        "INACTIVITY_PENALTY_QUOTIENT": "67108864",
        "MIN_SLASHING_PENALTY_QUOTIENT": "128",
        "PROPORTIONAL_SLASHING_MULTIPLIER": "1",
        "MAX_PROPOSER_SLASHINGS": "16",
        "MAX_ATTESTER_SLASHINGS": "2",
        "MAX_ATTESTATIONS": "128",
        "MAX_DEPOSITS": "16",
        "MAX_VOLUNTARY_EXITS": "16",
        "INACTIVITY_PENALTY_QUOTIENT_ALTAIR": "50331648",
        "MIN_SLASHING_PENALTY_QUOTIENT_ALTAIR": "64",
        "PROPORTIONAL_SLASHING_MULTIPLIER_ALTAIR": "2",
        "SYNC_COMMITTEE_SIZE": "512",
        "EPOCHS_PER_SYNC_COMMITTEE_PERIOD": "256",
        "MIN_SYNC_COMMITTEE_PARTICIPANTS": "1",
        "INACTIVITY_PENALTY_QUOTIENT_BELLATRIX": "16777216",
        "MIN_SLASHING_PENALTY_QUOTIENT_BELLATRIX": "32",
        "PROPORTIONAL_SLASHING_MULTIPLIER_BELLATRIX": "3",
        "MAX_BYTES_PER_TRANSACTION": "1073741824",
        "MAX_TRANSACTIONS_PER_PAYLOAD": "1048576",
        "BYTES_PER_LOGS_BLOOM": "256",
        "MAX_EXTRA_DATA_BYTES": "32",
        "MAX_BLS_TO_EXECUTION_CHANGES": "16",
        "MAX_WITHDRAWALS_PER_PAYLOAD": "16",
        "MAX_VALIDATORS_PER_WITHDRAWALS_SWEEP": "16384",
        "MAX_BLOBS_PER_BLOCK": "6",
        "MAX_BLOB_COMMITMENTS_PER_BLOCK": "4096",
        "FIELD_ELEMENTS_PER_BLOB": "4096",
        "DOMAIN_CONTRIBUTION_AND_PROOF": "0x09000000",
        "SYNC_COMMITTEE_SUBNET_COUNT": "4",
        "DOMAIN_SYNC_COMMITTEE_SELECTION_PROOF": "0x08000000",
        "DOMAIN_BEACON_PROPOSER": "0x00000000",
        "DOMAIN_RANDAO": "0x02000000",
        "DOMAIN_DEPOSIT": "0x03000000",
        "DOMAIN_VOLUNTARY_EXIT": "0x04000000",
        "BLS_WITHDRAWAL_PREFIX": "0x00",
        "DOMAIN_SELECTION_PROOF": "0x05000000",
        "TARGET_AGGREGATORS_PER_SYNC_SUBCOMMITTEE": "16",
        "DOMAIN_BEACON_ATTESTER": "0x01000000",
        "DOMAIN_SYNC_COMMITTEE": "0x07000000",
        "DOMAIN_APPLICATION_MASK": "0x00000001",
        "TARGET_AGGREGATORS_PER_COMMITTEE": "16",
        "DOMAIN_AGGREGATE_AND_PROOF": "0x06000000"
    }
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.blockpi.io/build/api-reference/ethereum/ethereum-beacon-api/eth-v1-config-spec.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
